BinaryPartitioner (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.lib
Class BinaryPartitioner<V>

    java.lang.Object
      org.apache.hadoop.mapreduce.Partitioner<BinaryComparable,V>
          org.apache.hadoop.mapreduce.lib.partition.BinaryPartitioner<V>
              org.apache.hadoop.mapred.lib.BinaryPartitioner<V>

All Implemented Interfaces:
  Configurable, JobConfigurable, Partitioner<BinaryComparable,V>

Deprecated. Use `BinaryPartitioner` instead.

    @Deprecated
    public class BinaryPartitioner<V>

extends BinaryPartitioner<V>
implements Partitioner<BinaryComparable,V>

Partition `BinaryComparable` keys using a configurable part of the bytes array returned by `BinaryComparable.getBytes()`.

See Also:
  `BinaryPartitioner`

Constructor Summary
`BinaryPartitioner()` Deprecated.

Method Summary
`void` | `configure(JobConf job)` Deprecated. Initializes a new instance from a `JobConf`.

Methods inherited from class org.apache.hadoop.mapreduce.lib.partition.BinaryPartitioner
`getConf, getPartition, setConf, setLeftOffset, setOffsets, setRightOffset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.mapred.Partitioner
`getPartition`

Constructor Detail

### BinaryPartitioner

    public BinaryPartitioner()

  Deprecated.

Method Detail

### configure

    public void configure(JobConf job)

  Deprecated.
  Description copied from interface: `JobConfigurable`
  Initializes a new instance from a `JobConf`.

  Specified by:
    `configure` in interface `JobConfigurable`
  Parameters:
    `job` - the configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation